枭毅API枭毅API
API ReferenceAI Applications
AI Model APIVideosHappyHorse Video API

Query HappyHorse Through Generic Video API

Query HappyHorse video task results through /v1/video/generations/{task_id}.

GET /v1/video/generations/{task_id} returns the New API generic video task format. This endpoint is designed to pair with POST /v1/video/generations.

GET
/v1/video/generations/{task_id}

Authorization

BearerAuth
AuthorizationBearer <token>

使用 Bearer Token 认证。 格式: Authorization: Bearer sk-xxxxxx

In: header

Path Parameters

task_id*string

任务 ID。

Response Body

application/json

curl -X GET "https://example.com/v1/video/generations/string"
{
  "id": "task_xxx",
  "task_id": "task_xxx",
  "object": "video",
  "model": "happyhorse-1.0-t2v",
  "status": "failed",
  "progress": 100,
  "fail_reason": "upstream error message"
}

How is this guide?